Bug 3049 - %configure doesn't invoke libtoolize when configure.ac is present
: %configure doesn't invoke libtoolize when configure.ac is present
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/rpm-build)
: unstable
: all Linux
: P4 major
Assigned To:
:
:
:
:
: 2978
  Show dependency tree
 
Reported: 2003-09-26 13:36 by
Modified: 2005-07-13 15:45 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2003-09-26 13:36:18
In build macros, the test in this string:

%{?__libtoolize:[ -f configure.in ] && %{__libtoolize} --copy --force ;}

should be modified to trigger on configure.ac as well:

%{?__libtoolize:[ -f configure.in -o -f configure.ac ] && %{__libtoolize} --copy
--force ;}
------- Comment #1 From 2003-09-27 18:18:06 -------
Fixed in rpm-build-4.0.4-alt26